.checkbox {
  input[type=checkbox] {
    &:checked {
      & + .checkbox__label {
        &:before {
          background-color: $checkBoxGreen;
          border: 1px solid $checkBoxGreen;
        }

        &:after {
          display: block;
          background-image: url("/lk/static/img/acceptance/check-mark.svg");
        }
      }
    }
  }

  &__label {
    @include position(relative, $c: null);
    padding: 0 0 0 30px;
    margin: 0 !important;

    &:before {
      content: '';
      @include position(absolute, $c: (top: 0, left: 0));
      @include size(20px, 20px);
      background: #f8f8f8;
      border: 1px solid #e9eff4;
      border-radius: 5px;
    }

    &:after {
      content: '';
      display: none;
      @include position(absolute, $c: (top: 0, left: 0));
      @include size(20px, 20px);
    }

    .link {
      text-decoration: none;
    }
  }
}